Bug 1764439 (CVE-2019-11758) - CVE-2019-11758 Mozilla: Potentially exploitable crash due to 360 Total Security
Summary: CVE-2019-11758 Mozilla: Potentially exploitable crash due to 360 Total Security
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11758
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1763562 1764938 1763558 1763559 1763560 1763561 1763563 1764206 1764937 1764939 1764940 1764941 1764942
Blocks: 1763556
TreeView+ depends on / blocked
 
Reported: 2019-10-23 05:40 UTC by Doran Moppert
Modified: 2019-12-02 14:14 UTC (History)
5 users (show)

Fixed In Version: firefox 68.2, thunderbird 68.2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the 360 Total Security code in Firefox and Thunderbird. Memory corruption is possible in the accessibility engine that could lead to an exploit to run arbitrary code. This vulnerability could be exploited over a network connection and would affect confidentiality and integrity of information as well as availability of the system.
Clone Of:
Environment:
Last Closed: 2019-10-25 00:51:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3193 None None None 2019-10-23 14:00:45 UTC
Red Hat Product Errata RHSA-2019:3196 None None None 2019-10-24 08:24:44 UTC
Red Hat Product Errata RHSA-2019:3210 None None None 2019-10-29 09:49:04 UTC
Red Hat Product Errata RHSA-2019:3237 None None None 2019-10-29 13:46:59 UTC
Red Hat Product Errata RHSA-2019:3281 None None None 2019-10-31 14:08:13 UTC
Red Hat Product Errata RHSA-2019:3756 None None None 2019-11-06 17:08:13 UTC

Description Doran Moppert 2019-10-23 05:40:00 UTC
Mozilla community member Philipp reported a memory safety bug present in Firefox 68 when 360 Total Security was installed. This bug showed evidence of memory corruption in the accessibility engine and we presume that with enough effort that it could be exploited to run arbitrary code.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-33/#CVE-2019-11758

Comment 1 Doran Moppert 2019-10-23 05:40:02 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Mozilla developers and community

Comment 2 errata-xmlrpc 2019-10-23 14:00:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3193 https://access.redhat.com/errata/RHSA-2019:3193

Comment 3 errata-xmlrpc 2019-10-24 08:24:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3196 https://access.redhat.com/errata/RHSA-2019:3196

Comment 4 Product Security DevOps Team 2019-10-25 00:51:30 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11758

Comment 5 errata-xmlrpc 2019-10-29 09:49:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3210 https://access.redhat.com/errata/RHSA-2019:3210

Comment 6 errata-xmlrpc 2019-10-29 13:46:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3237 https://access.redhat.com/errata/RHSA-2019:3237

Comment 7 errata-xmlrpc 2019-10-31 14:08:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3281 https://access.redhat.com/errata/RHSA-2019:3281

Comment 8 errata-xmlrpc 2019-11-06 17:08:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3756 https://access.redhat.com/errata/RHSA-2019:3756


Note You need to log in before you can comment on or make changes to this bug.